summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..b64693b
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+which nvim >/dev/null 2>&1 || (echo "Neovim not installed!" && exit 1)
+which luarocks >/dev/null 2>&1 || (echo "Luarocks not installed!" && exit 1)
+luarocks list | grep "fennel" >/dev/null 2>&1 || (echo "fennel is not installed" && exit 1)
+nvim --headless +qa && nvim --headless -c "autocmd User PackerComplete quitall"